import * as React from 'react';
import HelpQuestions from "../helpQuestions";
import BranchingQuestions from "../branchingQuestions";
import SettingSlider from "./settingSlider";


interface Props {
    switchState: string,
}

export default function SwitchSlider({switchState = 'setting' }: Props) {

    switch (switchState) {
        case 'setting':
            return (<SettingSlider/>);
            break;
        case 'help':
            return (<HelpQuestions/>);
            break
        case 'branching':
            return (<BranchingQuestions/>);
            break;
        default:
            return (<></>)
    }
}